unit Unit13;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg, VclTee.TeePoin3, VclTee.TeeTools, VclTee.TeeSurfa, VclTee.TeeComma, Data.DB, Data.Win.ADODB,
  Vcl.ComCtrls, Vcl.ImgList, VclTee.TeeSubChart;

type
  TForm1 = class(TForm)
    ButtonExit: TButton;
    Panel1: TPanel;
    TheChart: TChart;
    TeeCommander1: TTeeCommander;
    Series1: TPolarSeries;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
  private
    { Private declarations }
    SubChart: TSubChartTool;
    procedure OneChart(Chart: TChart);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OneChart(Chart: TChart);
begin
  with Chart do
    begin
      if SeriesCount > 0 then
        FreeAllSeries();
      SeriesList.Clear;
      CustomAxes.Clear;

      with (AddSeries(TPolarSeries) as TPolarSeries) do
        begin
          Clear;
          Brush.Clear;
          CircleBrush.Clear;
          Circled := true;
          with BottomAxis do
            begin
              Title.Text := 'Bottom axis';
            end;
          with LeftAxis do
            begin
              Title.Text := 'Left axis';
            end;
          FillSampleValues(100);
        end;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  OneChart(TheChart);
  with TheChart do
    begin
      ChartRect.Left := 0;
      ChartRect.Right := ChartWidth div 2;

      { BottomAxis.EndPosition := 50; }

      { Height := Panel1.Height;
        Width := Panel1.Width div 2; }

      { ChartRect.SetLocation(0, 0); }
    end;
  TeeCommander1.Panel := TheChart;

  SubChart := TSubChartTool.Create(Self);
  with SubChart do
    begin
      ParentChart := TheChart;
      Charts.AddChart('Chart1');
      with Charts[0] do
        begin
          Left := Panel1.Width div 2;
          Height := TheChart.Height;
          Width := Panel1.Width div 2;
        end;
    end;
  OneChart(SubChart.Charts[0].Chart);
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  Close;
end;

end.
